> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/serviceaccountkeys/list#auth).

<br />

**Deprecated:** New integrations cannot use this method and can refer to our [new
recommendations](https://developers.google.com/android/work/deprecations#recommended_alternative_4).  
**This method will no longer be accessible by
anyone after September 30, 2025.** Lists all active credentials for the service account associated with this enterprise. Only the ID and key type are returned. The calling service account must have been retrieved by calling Enterprises.GetServiceAccount and must have been set as the enterprise service account by calling Enterprises.SetAccount.

<br />

## Request

### HTTP request

```
GET https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/serviceAccountKeys
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "serviceAccountKey": [
    serviceaccountkeys Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `serviceAccountKey[]` | `list` | The service account credentials. |   |